/*****************************************************************************
 * LEDblink.c
 *****************************************************************************/

#include "adi_initialize.h"
#include <sys/platform.h>
#if   defined(__ADSPBF70x__) && __ADSPBF70x__==1
#include <bfrom.h>
#elif defined(__ADSPSC5xx__) && __ADSPSC5xx__==1
#include <cdefSC58x_rom.h>
#endif


#if defined(__ADSPSC58x__) && __ADSPSC58x__==1
/* redefine the mmu init function so cache isn't enabled */
void adi_mmu_Init()
{
	asm("nop;");
}

#define TIME_DELAY 0x5FFFF
#else
#define TIME_DELAY 0x5FFFFF
#endif


int main(void)
{
	int i,k=0;

	/* Initialize managed drivers and/or services */
	adi_initComponents();

#if   defined(__ADSPBF707__)	&& __ADSPBF707__==1   // EZ-kit
    *pREG_PORTA_FER      = 0;
    *pREG_PORTA_DIR_SET  = 0x3; //configure PA0 & PA1 as GP Output
#elif  defined(__ADSPBF706__)	&& __ADSPBF706__==1   // EZ-mini
    *pREG_PORTC_FER      = 0;
    *pREG_PORTC_DIR_SET  = 0x8;
#elif  defined(__ADSPSC5xx__)   && __ADSPSC5xx__==1
    *pREG_PORTE_FER      = 0;   // GPIO mode
    *pREG_PORTE_DIR_SET  = 0xe000;  // pins 15:13 are output
#endif


	while(1)
	{

#if   defined(__ADSPBF707__)	&& __ADSPBF707__==1   // BF707 EZ-kit
		*pREG_PORTA_DATA_TGL  = 0x2;
#elif defined(__ADSPBF706__)	&& __ADSPBF706__==1   // BF706 EZ-mini
        *pREG_PORTC_DATA_TGL  = 0x8;
#elif  defined(__ADSPSC5xx__)   && __ADSPSC5xx__==1
        *pREG_PORTE_DATA_TGL  = 0xe000;               // SC589 ezkit
#endif


			for(i=0; i<TIME_DELAY; i++);
			k++;
	}

	return 0;
}

