
import sys
import os
import argparse


parser = argparse.ArgumentParser(description="convert a binary file into an ascii array")
parser.add_argument('-mode', type=str, choices=['ascii','c','xml'], default='ascii', help="uint8_t C array, ascii list of bytes, or an XML entry for reset.xml emulator file")
parser.add_argument('-infile', type=str, required=True )
parser.add_argument('-o', type=str, required=True )
args = parser.parse_args()

varname = os.path.splitext(os.path.basename(args.infile))[0]

f = open(args.infile,"rb")
o = open(args.o,"w")



# read file
Bytes = []
try:
  bytesread = f.read(8192)
  while bytesread:
    for b in bytesread:
      Bytes.append(ord(b))

    bytesread = f.read(256)

finally:
  f.close()


# C file
if args.mode is 'c':
  o.write("const static uint8_t %s[] = {\n" % varname)
  comma = ""
  for b in Bytes:
    o.write("%s\t0x%02x" % (comma,b) )
    comma = ",\n"
  o.write(" };\n\n")
  o.write("const static uint8_t %s_bytes_sz = %i;" % (varname,len(Bytes)) )


if args.mode == "ascii":
  for b in Bytes:
    o.write("0x%x" % b)


entry = 0
wordoffset = 3
if args.mode == "xml":
  for b in range(len(Bytes)):
    if ((b % 4)==0) and (b != 0):
      o.write("\" />\n")
    if ((b % 4)==0) :
      wordoffset = 3
      o.write("<register name=\"userkey%s\" core=\"Common\" reset-value=\"0x" % entry)
      entry = entry +1
    o.write("%02x" % Bytes[b+wordoffset])
    wordoffset = wordoffset -2 

  o.write("\" />\n");

    

o.close()
  




